Index: libbsd.py
===================================================================
--- libbsd.py	(revision 3fece79604fbd2934a85e88e5a68f32706981092)
+++ libbsd.py	(revision 5e62c732fa078058cce6a07301bca7d1823cf086)
@@ -1760,6 +1760,5 @@
     )
     mod.addTargetSourceCPUDependentSourceFiles(
-        [ 'arm', 'avr', 'bfin', 'h8300', 'i386', 'lm32', 'm32c', 'm32r',
-          'm68k', 'mips', 'nios2', 'powerpc', 'sh', 'sparc', 'sparc64', 'v850' ],
+        [ 'i386' ],
         'x86',
         [
Index: wscript
===================================================================
--- wscript	(revision 3fece79604fbd2934a85e88e5a68f32706981092)
+++ wscript	(revision 5e62c732fa078058cce6a07301bca7d1823cf086)
@@ -1054,17 +1054,13 @@
               'rtemsbsd/telnetd/telnetd.c']
     if bld.get_env()["RTEMS_ARCH"] == "arm":
-        source += ['freebsd/sys/arm/arm/in_cksum.c',
-                   'freebsd/sys/arm/pci/pci_bus.c']
+        source += ['freebsd/sys/arm/arm/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "avr":
-        source += ['freebsd/sys/avr/avr/in_cksum.c',
-                   'freebsd/sys/avr/pci/pci_bus.c']
+        source += ['freebsd/sys/avr/avr/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "bfin":
-        source += ['freebsd/sys/bfin/bfin/in_cksum.c',
-                   'freebsd/sys/bfin/pci/pci_bus.c']
+        source += ['freebsd/sys/bfin/bfin/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "cflags":
         source += ['default']
     if bld.get_env()["RTEMS_ARCH"] == "h8300":
-        source += ['freebsd/sys/h8300/h8300/in_cksum.c',
-                   'freebsd/sys/h8300/pci/pci_bus.c']
+        source += ['freebsd/sys/h8300/h8300/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "i386":
         source += ['freebsd/sys/i386/i386/in_cksum.c',
@@ -1072,37 +1068,26 @@
                    'freebsd/sys/i386/pci/pci_bus.c']
     if bld.get_env()["RTEMS_ARCH"] == "lm32":
-        source += ['freebsd/sys/lm32/lm32/in_cksum.c',
-                   'freebsd/sys/lm32/pci/pci_bus.c']
+        source += ['freebsd/sys/lm32/lm32/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "m32c":
-        source += ['freebsd/sys/m32c/m32c/in_cksum.c',
-                   'freebsd/sys/m32c/pci/pci_bus.c']
+        source += ['freebsd/sys/m32c/m32c/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "m32r":
-        source += ['freebsd/sys/m32r/m32r/in_cksum.c',
-                   'freebsd/sys/m32r/pci/pci_bus.c']
+        source += ['freebsd/sys/m32r/m32r/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "m68k":
-        source += ['freebsd/sys/m68k/m68k/in_cksum.c',
-                   'freebsd/sys/m68k/pci/pci_bus.c']
+        source += ['freebsd/sys/m68k/m68k/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "mips":
-        source += ['freebsd/sys/mips/mips/in_cksum.c',
-                   'freebsd/sys/mips/pci/pci_bus.c']
+        source += ['freebsd/sys/mips/mips/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "nios2":
-        source += ['freebsd/sys/nios2/nios2/in_cksum.c',
-                   'freebsd/sys/nios2/pci/pci_bus.c']
+        source += ['freebsd/sys/nios2/nios2/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "powerpc":
-        source += ['freebsd/sys/powerpc/pci/pci_bus.c',
-                   'freebsd/sys/powerpc/powerpc/in_cksum.c']
+        source += ['freebsd/sys/powerpc/powerpc/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "sh":
-        source += ['freebsd/sys/sh/pci/pci_bus.c',
-                   'freebsd/sys/sh/sh/in_cksum.c']
+        source += ['freebsd/sys/sh/sh/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "sparc":
         source += ['freebsd/sys/mips/mips/in_cksum.c',
-                   'freebsd/sys/sparc/pci/pci_bus.c',
                    'freebsd/sys/sparc/sparc/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "sparc64":
-        source += ['freebsd/sys/sparc64/pci/pci_bus.c',
-                   'freebsd/sys/sparc64/sparc64/in_cksum.c']
+        source += ['freebsd/sys/sparc64/sparc64/in_cksum.c']
     if bld.get_env()["RTEMS_ARCH"] == "v850":
-        source += ['freebsd/sys/v850/pci/pci_bus.c',
-                   'freebsd/sys/v850/v850/in_cksum.c']
+        source += ['freebsd/sys/v850/v850/in_cksum.c']
     bld.stlib(target = "bsd",
               features = "c cxx",
